Subject: bug#26742: closed (Re: bug#26742: Display bug with composed strings)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 07 May 2017 23:43:02 +0000

Your bug report

#26742: Display bug with composed strings

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26742: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26742
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26742: Display bug with composed strings
From: [email-masked]
To: "Cl?ment_Pit--Claudel"<[email-masked]>
Cc: Andreas Schwab <[email-masked]>, [email-masked]
Date: Mon, 8 May 2017 08:41:59 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

>> That fixes the ghost character.
>
> Indeed, same here. Thanks!

Thanks for testing.  I've just pushed it to the trunk.
For the R2L cases, the background width is also set for the glyph string
whose cmp_from is 0.
So, this should also work for R2L texts.

				     YAMAMOTO Mitsuharu
				[email-masked]

Subject: Display bug with composed strings
From: Clément Pit--Claudel <[email-masked]>
To: [email-masked]
Date: Tue, 2 May 2017 02:58:19 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi bug-gnu-emacs,

If I create a file temp.txt containing the following:

-*- prettify-symbols-alist: (("R_PO" 8477 (Br . cl) 8804)); -*-
!!! R_PO !!!

and run ‘emacs-24.5 -Q temp.txt -f prettify-symbols-mode’, I observe a surprising display bug: when I move the point across the second line, as soon as the point reaches the blank space after “R_PO”, I see a second ℝ displayed instead of the third “!”.

Concretely, the line looks like “!!! ℝ≤ !!!” until I reach the second blank, and then it changes to “!!ℝ ℝ≤ !!!”.  Resizing the window fixes the issue until the next cursor blink.  Additionally, when the point is on R_PO, the point disappears — and taking a screenshot makes the prettified R_PO (ℝ≤) disappear, too (?!).

Is this a known issue? Can anyone else reproduce it? I have attached a few pictures (all of them show the same buffer text) — let me know if I can provide any other info!

Cheers,
Clément.

In GNU Emacs 26.0.50 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
 of 2017-04-16 built on clem-w50-mint
Repository revision: d1a65963ff50d2ebae87ac559514e19788ffc1cc
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
System Description:	Linux Mint 18.1 Serena

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 LIBSYSTEMD

Important settings:
  value of $LC_MONETARY: en_DK.UTF-8
  value of $LC_NUMERIC: en_DK.UTF-8
  value of $LC_TIME: en_DK.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message puny seq byte-opt subr-x gv
bytecomp byte-compile cl-extra help-mode cconv cl-loaddefs pcase cl-lib
dired dired-loaddefs format-spec rfc822 mml easymenu mml-sec
password-cache epa derived epg epg-config gnus-util rmail rmail-loaddefs
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript case-table epa-hook jka-cmpr-hook help
simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs button
faces cus-face macroexp files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind inotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 96057 5153)
 (symbols 48 20438 1)
 (miscs 40 40 129)
 (strings 32 18025 4822)
 (string-bytes 1 576763)
 (vectors 16 14137)
 (vector-slots 8 485275 4358)
 (floats 8 48 68)
 (intervals 56 203 0)
 (buffers 976 11)
 (heap 1024 47991 1074))